// Code generated by Wire. DO NOT EDIT.

//go:generate go run github.com/google/wire/cmd/wire
//go:build !wireinject
// +build !wireinject

package main

import (
	"github.com/go-kratos/kratos/v2"
	"github.com/go-kratos/kratos/v2/log"
	"hilo/app/service/user/internal/conf"
	"hilo/app/service/user/internal/dao"
	"hilo/app/service/user/internal/handler"
	"hilo/app/service/user/internal/server"
	"hilo/app/service/user/internal/service"
)

// Injectors from wire.go:

// wireApp init kratos application.
func wireApp(confServer *conf.Server, client *conf.Client, data *conf.Data, consul *conf.Consul, logger log.Logger) (*kratos.App, func(), error) {
	registry := server.NewConsulRegister(consul)
	countryClient := dao.NewCountryClient(client, registry)
	mgrClient := dao.NewMgrClient(client, registry)
	daoDao, cleanup, err := dao.NewDao(data, countryClient, mgrClient)
	if err != nil {
		return nil, nil, err
	}
	userService := service.NewUserService(daoDao)
	handlerUserService := handler.NewUserHandler(userService)
	grpcServer := server.NewGRPCServer(confServer, handlerUserService)
	app := newApp(logger, grpcServer, registry)
	return app, func() {
		cleanup()
	}, nil
}
