package service

import (
	"github.com/go-kratos/kratos/v2/log"
	"hilo/app/service/user/internal/dao"
	"hilo/app/service/user/internal/model"
	"time"
)

type UserService struct {
	dao *dao.Dao
	log *log.Helper
}

func NewUserService(dao *dao.Dao) *UserService {
	return &UserService{
		dao: dao,
		log: log.NewHelper(log.GetLogger()),
	}
}

func IfLogout(logoutTime int64) bool {
	return logoutTime > 0 && time.Now().Unix() > logoutTime
}
func IfLogoutMedals(condition bool, trueVal, falseVal []int) []int {
	if condition {
		return trueVal
	}
	return falseVal
}

func IfLogoutMedalInfo(condition bool, trueVal, falseVal []*model.CvMedal) []*model.CvMedal {
	if condition {
		return trueVal
	}
	return falseVal
}

func IfLogoutHeadwear(condition bool, trueVal, falseVal *model.CvHeadwear) *model.CvHeadwear {
	if condition {
		return trueVal
	}
	return falseVal
}

func IfLogoutRide(condition bool, trueVal, falseVal *model.CvProperty) *model.CvProperty {
	if condition {
		return trueVal
	}
	return falseVal
}

func IfLogoutStr(condition bool, trueVal, falseVal string) string {
	if condition {
		return trueVal
	}
	return falseVal
}

func IfLogoutNick(condition bool, code string, nick string) string {
	if condition {
		return "Hilo No." + code
	}
	return nick
}
